package ruleEngine

type EntityType int

const (
	ruleChan EntityType = iota
)

type RuleChain struct {
	TenantId    string
	Name        string
	FirstNodeId string
	IsRoot      bool
	IsDebug     bool
	Config      string
	ChainId     string
}

type RuleNode struct {
	RuleChainId string
	Type        string
	Name        string
	IsDebug     bool
	Config      string
	RuleNodeId  string
}

type Relation struct {
	From              string
	To                string
	Type              string
	AdditionalInfo    string
	RelationTypeGroup RelationTypeGroup
}

type RelationTypeGroup int

const (
	COMMON RelationTypeGroup = iota
	RULE_CHAIN
	RULE_NODE
)
