package main

import (
	"flag"
	"fmt"
)

var (
	testURL        = flag.String("url", "http://192.168.1.100:8088", "login url")
	testProductKey = flag.String("productkey", "2e397f5599a3f6f6a5a3c8fcd45437169501b3c6e239042ad5e9b65303561e41ab5519e9d205facbcbe75a2784354501", "product key")
	testProtocol   = flag.String("protocol", "mqtt", "access protocol")
)

func main() {
	flag.Parse()

	if *testProductKey == "" {
		fmt.Println("product key not provided. use -productkey flag")
		return
	}

	dev := NewDevice(*testURL, *testProductKey, "5566", "1.2.5", *testProtocol)

	err := dev.DoRegister()
	if err != nil {
		fmt.Printf("device register error %s", err)
		return
	}

	err = dev.DoLogin()
	if err != nil {
		fmt.Printf("device login error %s", err)
		return
	}
	err = dev.DoAccess()
	if err != nil {
		fmt.Printf("device access error %s", err)
		return
	}

}
